PipeWire 0.1.9

Functions
module.c File Reference
Include dependency graph for module.c:

## Functions
struct pw_module * | pw_core_find_module (struct pw_core *core, const char *filename)
| Find a module by filename. More...
struct pw_core * | pw_module_get_core (struct pw_module *module)
| Get the core of a module. More...
struct pw_global * | pw_module_get_global (struct pw_module *module)
| Get the global of a module. More...
const struct pw_module_info * | pw_module_get_info (struct pw_module *module)
| Get the module info. More...
void | pw_module_add_listener (struct pw_module *module, struct spa_hook *listener, const struct pw_module_events *events, void *data)
| Add an event listener to a module. More...

## Function Documentation

## ◆ pw_core_find_module()

struct pw_module* pw_core_find_module | ( | struct pw_core * | core,
|  | const char * | filename
| ) |  |

Find a module by filename.

## ◆ pw_module_add_listener()

void pw_module_add_listener | ( | struct pw_module * | module,
|  | struct spa_hook * | listener,
|  | const struct pw_module_events * | events,
|  | void * | data
| ) |  |

Add an event listener to a module.

## ◆ pw_module_get_core()

struct pw_core* pw_module_get_core | ( | struct pw_module * | module | ) |

Get the core of a module.

## ◆ pw_module_get_global()

struct pw_global* pw_module_get_global | ( | struct pw_module * | module | ) |

Get the global of a module.

## ◆ pw_module_get_info()

const struct pw_module_info* pw_module_get_info | ( | struct pw_module * | module | ) |

Get the module info.